Tensorboard TypeError: __init __ () obtuvo un argumento de palabra clave inesperado ‘serialized_options’

Estoy usando tensorflow versión 1.3.0 y tensorboard versión 1.10.0 Acabo de actualizar mi versión de tensorboard y, después de la actualización, cuando bash iniciar el tensorboard, aparece el siguiente mensaje de error.

Traceback (most recent call last): File "c:\users\sztaki_user\anaconda3\envs\tensorflow\lib\runpy.py", line 193, in _run_module_as_main "__main__", mod_spec) File "c:\users\sztaki_user\anaconda3\envs\tensorflow\lib\runpy.py", line 85, i n _run_code exec(code, run_globals) File "C:\Users\Sztaki_user\Anaconda3\envs\tensorflow\Scripts\tensorboard.exe\_ _main__.py", line 5, in  File "c:\users\sztaki_user\anaconda3\envs\tensorflow\lib\site-packages\tensorb oard\main.py", line 40, in  from tensorboard import default File "c:\users\sztaki_user\anaconda3\envs\tensorflow\lib\site-packages\tensorb oard\default.py", line 37, in  from tensorboard.plugins.audio import audio_plugin File "c:\users\sztaki_user\anaconda3\envs\tensorflow\lib\site-packages\tensorb oard\plugins\audio\audio_plugin.py", line 30, in  from tensorboard.plugins.audio import metadata File "c:\users\sztaki_user\anaconda3\envs\tensorflow\lib\site-packages\tensorb oard\plugins\audio\metadata.py", line 22, in  from tensorboard.plugins.audio import plugin_data_pb2 File "c:\users\sztaki_user\anaconda3\envs\tensorflow\lib\site-packages\tensorb oard\plugins\audio\plugin_data_pb2.py", line 22, in  serialized_pb=_b('\n+tensorboard/plugins/audio/plugin_data.proto\x12\x0btens orboard\"}\n\x0f\x41udioPluginData\x12\x0f\n\x07version\x18\x01 \x01(\x05\x12\x3 7\n\x08\x65ncoding\x18\x02 \x01(\x0e\x32%.tensorboard.AudioPluginData.Encoding\" \n\x08\x45ncoding\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x07\n\x03WAV\x10\x0b\x62\x06 proto3') TypeError: __init__() got an unexpected keyword argument 'serialized_options' 

Intenté cambiar el directorio de registro de tensorboards con el siguiente comando: tensorboard –logdir = el directorio de registro

¿Tienes alguna idea de cómo solucionar este problema?

Gracias.

FIJAR:

¡Acabo de actualizar mi TensorBoard a la versión 1.9.0 y ahora está funcionando!

tensorflow no está instalado correctamente (falta el problema de versión de protobuf)

siga los pasos a continuación,

 sudo pip install tensorflow sudo apt upgrade && sudo apt upgrade 

entonces finalmente

 sudo pip install tensorflow